## angelscript 2.34.0+ds

=== debian/changelog ===
angelscript (2.34.0+ds-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Put pkg-kde-tools inside Build-Depends instead
    of Build-Depends-Arch. This fixes FTBFS on arch:all. 
    (Closes: #964581)

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jul 2020 15:28:19 -0400

angelscript (2.34.0+ds-3) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Yangfl <mmyangfl@gmail.com>  Wed, 01 Jul 2020 12:43:05 +0800

angelscript (2.34.0+ds-2) unstable; urgency=medium

  * Replace angelscript-addon with libangelscript-addon0
  * Add autopkgtest

 -- Yangfl <mmyangfl@gmail.com>  Wed, 17 Jun 2020 13:04:45 +0800

angelscript (2.34.0+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jun 2020 08:57:51 -0400

angelscript (2.34.0+ds-1) unstable; urgency=medium

  * Initial Release (Closes: #958372)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 01 Jun 2020 23:17:30 +0800
