=== debian/control ===
Source: angelscript
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 pkg-kde-tools,
Build-Depends-Indep:
 doxygen,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Section: libs
Homepage: https://www.angelcode.com/angelscript/
Vcs-Browser: https://salsa.debian.org/yangfl-guest/angelscript
Vcs-Git: https://salsa.debian.org/yangfl-guest/angelscript.git

Package: angelscript-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libangelscript2.34.0 (= ${binary:Version}),
 libangelscript-addon0 (= ${binary:Version}),
Description: game-oriented interpreted compiled scripting language (development files)
 AngelScript features static typing, object handles (similar to C++ pointers but
 garbage collected via reference counting), object- orientation, single
 inheritance, multiple inheritance with interfaces. Allows operators to be
 registered and overloaded. AngelScript can be used with any C++ IDE, such as
 Netbeans, Geany, and Eclipse.
 .
 This package contains the header files for angelscript. Please consult
 README.Debian for detailed usage.

Package: libangelscript2.34.0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 angelscript-doc,
Description: game-oriented interpreted compiled scripting language
 AngelScript features static typing, object handles (similar to C++ pointers but
 garbage collected via reference counting), object- orientation, single
 inheritance, multiple inheritance with interfaces. Allows operators to be
 registered and overloaded. AngelScript can be used with any C++ IDE, such as
 Netbeans, Geany, and Eclipse.

Package: libangelscript-addon0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: game-oriented interpreted compiled scripting language (addon)
 AngelScript features static typing, object handles (similar to C++ pointers but
 garbage collected via reference counting), object- orientation, single
 inheritance, multiple inheritance with interfaces. Allows operators to be
 registered and overloaded. AngelScript can be used with any C++ IDE, such as
 Netbeans, Geany, and Eclipse.
 .
 This package contains the addon for angelscript.

Package: angelscript-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: game-oriented interpreted compiled scripting language (documentation)
 AngelScript features static typing, object handles (similar to C++ pointers but
 garbage collected via reference counting), object- orientation, single
 inheritance, multiple inheritance with interfaces. Allows operators to be
 registered and overloaded. AngelScript can be used with any C++ IDE, such as
 Netbeans, Geany, and Eclipse.
 .
 This package contains the documentation for angelscript.
