## angelscript 2.35.0+ds

=== debian/changelog ===
angelscript (2.35.0+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.
  * Disable failing build on arm64 for now. (See #980559)

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Jan 2021 09:58:49 -0500

angelscript (2.35.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Workaround FTBFS on mips64el/sparc64 (Closes: #972923)
  * Fix libdir for i386 (Closes: #972924)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 Jan 2021 22:17:08 +0800
