=== debian/control ===
--- 
+++ 
@@ -15,12 +15,13 @@
 
 Package: angelscript-dev
 Section: libdevel
-Architecture: any
+# no arm64 for now
+Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libangelscript2.34.0 (= ${binary:Version}),
- libangelscript-addon0 (= ${binary:Version}),
+ libangelscript2.35.0 (= ${binary:Version}),
+ libangelscript-addon2.35.0 (= ${binary:Version}),
 Description: game-oriented interpreted compiled scripting language (development files)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -31,14 +32,16 @@
  This package contains the header files for angelscript. Please consult
  README.Debian for detailed usage.
 
-Package: libangelscript2.34.0
-Architecture: any
+Package: libangelscript2.35.0
+Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  angelscript-doc,
+Breaks: libangelscript2.34.0
+Replaces: libangelscript2.34.0
 Description: game-oriented interpreted compiled scripting language
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -46,12 +49,14 @@
  registered and overloaded. AngelScript can be used with any C++ IDE, such as
  Netbeans, Geany, and Eclipse.
 
-Package: libangelscript-addon0
-Architecture: any
+Package: libangelscript-addon2.35.0
+Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks: libangelscript-addon0
+Replaces: libangelscript-addon0
 Description: game-oriented interpreted compiled scripting language (addon)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
