## angelscript 2.35.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep:
  doxygen,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://www.angelcode.com/angelscript/
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/angelscript
@@ -15,13 +15,12 @@
 
 Package: angelscript-dev
 Section: libdevel
-# no arm64 for now
-Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libangelscript2.35.0 (= ${binary:Version}),
- libangelscript-addon2.35.0 (= ${binary:Version}),
+ libangelscript2.35.1 (= ${binary:Version}),
+ libangelscript-addon2.35.1 (= ${binary:Version}),
 Description: game-oriented interpreted compiled scripting language (development files)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -32,16 +31,16 @@
  This package contains the header files for angelscript. Please consult
  README.Debian for detailed usage.
 
-Package: libangelscript2.35.0
-Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
+Package: libangelscript2.35.1
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  angelscript-doc,
-Breaks: libangelscript2.34.0
-Replaces: libangelscript2.34.0
+Breaks: libangelscript2.34.0, libangelscript2.35.0
+Replaces: libangelscript2.34.0, libangelscript2.35.0
 Description: game-oriented interpreted compiled scripting language
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -49,14 +48,14 @@
  registered and overloaded. AngelScript can be used with any C++ IDE, such as
  Netbeans, Geany, and Eclipse.
 
-Package: libangelscript-addon2.35.0
-Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
+Package: libangelscript-addon2.35.1
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libangelscript-addon0
-Replaces: libangelscript-addon0
+Breaks: libangelscript-addon0, libangelscript-addon2.35.0
+Replaces: libangelscript-addon0, libangelscript-addon2.35.0
 Description: game-oriented interpreted compiled scripting language (addon)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
