=== debian/changelog ===
angelscript (2.35.1+ds-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:38:50 +0000

angelscript (2.35.1+ds-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061889

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:59:55 +0000

angelscript (2.35.1+ds-3) unstable; urgency=medium

  * Fix FTBFS on arm64 (Closes: #980559)

 -- Yangfl <mmyangfl@gmail.com>  Fri, 22 Oct 2021 00:29:21 +0800

angelscript (2.35.1+ds-2) unstable; urgency=medium

  * Try fixing arm64 and non-Linux builds

 -- Yangfl <mmyangfl@gmail.com>  Thu, 14 Oct 2021 19:59:42 +0800

angelscript (2.35.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Try again arm64

 -- Yangfl <mmyangfl@gmail.com>  Wed, 06 Oct 2021 22:09:19 +0800
