=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: angelscript
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  pkg-kde-tools,
 Build-Depends-Indep:
@@ -19,8 +20,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libangelscript2.35.1 (= ${binary:Version}),
- libangelscript-addon2.35.1 (= ${binary:Version}),
+ libangelscript2.35.1t64 (= ${binary:Version}),
+ libangelscript-addon2.35.1t64 (= ${binary:Version}),
 Description: game-oriented interpreted compiled scripting language (development files)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -31,7 +32,8 @@
  This package contains the header files for angelscript. Please consult
  README.Debian for detailed usage.
 
-Package: libangelscript2.35.1
+Package: libangelscript2.35.1t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -39,8 +41,8 @@
  ${shlibs:Depends},
 Suggests:
  angelscript-doc,
-Breaks: libangelscript2.34.0, libangelscript2.35.0
-Replaces: libangelscript2.34.0, libangelscript2.35.0
+Breaks: libangelscript2.35.1 (<< ${source:Version}), libangelscript2.34.0, libangelscript2.35.0
+Replaces: libangelscript2.35.1, libangelscript2.34.0, libangelscript2.35.0
 Description: game-oriented interpreted compiled scripting language
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -48,14 +50,15 @@
  registered and overloaded. AngelScript can be used with any C++ IDE, such as
  Netbeans, Geany, and Eclipse.
 
-Package: libangelscript-addon2.35.1
+Package: libangelscript-addon2.35.1t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libangelscript-addon0, libangelscript-addon2.35.0
-Replaces: libangelscript-addon0, libangelscript-addon2.35.0
+Breaks: libangelscript-addon2.35.1 (<< ${source:Version}), libangelscript-addon0, libangelscript-addon2.35.0
+Replaces: libangelscript-addon2.35.1, libangelscript-addon0, libangelscript-addon2.35.0
 Description: game-oriented interpreted compiled scripting language (addon)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
