=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,11 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export MULTIARCH := $(DEB_HOST_GNU_TYPE)
+export MULTIARCH := $(DEB_HOST_MULTIARCH)
 export VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+.*//')
 
 # buggy archs
-ifeq ($(DEB_HOST_ARCH),armhf)
-  DEB_CXXFLAGS_MAINT_APPEND += -DAS_MAX_PORTABILITY
-else ifeq ($(DEB_HOST_ARCH),x32)
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf mips64el sparc64 x32))
   DEB_CXXFLAGS_MAINT_APPEND += -DAS_MAX_PORTABILITY
 endif
