## angelscript 2.38.0+ds

=== debian/changelog ===
angelscript (2.38.0+ds-2) unstable; urgency=medium

  * Uploading to Unstable

 -- Yangfl <mmyangfl@gmail.com>  Sat, 03 Jan 2026 01:26:06 +0800

angelscript (2.38.0+ds-1) experimental; urgency=medium

  * New upstream release
  * Fix fails to build source after successful build (Closes: #1043695)
  * Bump Standards-Version to 4.7.3
  * Uploading to Experimental

 -- Yangfl <mmyangfl@gmail.com>  Thu, 25 Dec 2025 00:00:48 +0800
