=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: angelscript
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
- pkg-kde-tools,
 Build-Depends-Indep:
  doxygen,
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://www.angelcode.com/angelscript/
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/angelscript
@@ -20,8 +17,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libangelscript2.35.1t64 (= ${binary:Version}),
- libangelscript-addon2.35.1t64 (= ${binary:Version}),
+ libangelscript2.38.0 (= ${binary:Version}),
+ libangelscript-addon2.38.0 (= ${binary:Version}),
 Description: game-oriented interpreted compiled scripting language (development files)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -32,8 +29,7 @@
  This package contains the header files for angelscript. Please consult
  README.Debian for detailed usage.
 
-Package: libangelscript2.35.1t64
-Provides: ${t64:Provides}
+Package: libangelscript2.38.0
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -41,8 +37,16 @@
  ${shlibs:Depends},
 Suggests:
  angelscript-doc,
-Breaks: libangelscript2.35.1 (<< ${source:Version}), libangelscript2.34.0, libangelscript2.35.0
-Replaces: libangelscript2.35.1, libangelscript2.34.0, libangelscript2.35.0
+Breaks:
+ libangelscript2.34.0,
+ libangelscript2.35.0,
+ libangelscript2.35.1,
+ libangelscript2.35.1t64,
+Replaces:
+ libangelscript2.34.0,
+ libangelscript2.35.0,
+ libangelscript2.35.1,
+ libangelscript2.35.1t64,
 Description: game-oriented interpreted compiled scripting language
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -50,15 +54,22 @@
  registered and overloaded. AngelScript can be used with any C++ IDE, such as
  Netbeans, Geany, and Eclipse.
 
-Package: libangelscript-addon2.35.1t64
-Provides: ${t64:Provides}
+Package: libangelscript-addon2.38.0
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libangelscript-addon2.35.1 (<< ${source:Version}), libangelscript-addon0, libangelscript-addon2.35.0
-Replaces: libangelscript-addon2.35.1, libangelscript-addon0, libangelscript-addon2.35.0
+Breaks:
+ libangelscript-addon0,
+ libangelscript-addon2.35.0,
+ libangelscript-addon2.35.1,
+ libangelscript-addon2.35.1t64,
+Replaces:
+ libangelscript-addon0,
+ libangelscript-addon2.35.0,
+ libangelscript-addon2.35.1,
+ libangelscript-addon2.35.1t64,
 Description: game-oriented interpreted compiled scripting language (addon)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
