=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,11 @@
 
 
 %:
-	dh $@ --with pkgkde_symbolshelper
+	dh $@
 
 execute_after_dh_auto_clean:
 	-+$(MAKE) -C samples clean
-	rm -rf debian/doxygen/output
-	rm -rf Makefile
-	rm -rf samples/Makefile
+	$(RM) debian/doxygen/output Makefile samples/Makefile angelscript/lib/libangelscript-addon.a angelscript/lib/libangelscript-addon.so.*
 
 override_dh_auto_configure-arch:
 	ln -sf debian/Makefile
